Skip to content

Change only the archive scope of a unique constraint, atomically and with its current RowVersion.

PUT
/api/workspace/admin/entity-definitions/{entityDefinitionId}/unique-constraints/{constraintId}
curl --request PUT \
--url https://example.com/api/workspace/admin/entity-definitions/example/unique-constraints/example \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "ArchiveScope": 1, "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
entityDefinitionId
required
string
constraintId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Change the archive scope of an existing unique constraint atomically.

object
ArchiveScope
required
integer format: int32
Allowed values: 1 2
RowVersion
required

Current constraint concurrency token.

string format: uuid

OK

Media typeapplication/json
object
Data

Unique constraint configured for one entity definition table.

object
Id

Constraint identifier.

string
nullable
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Fields

Ordered participating fields.

Array<object>
nullable

Field entry participating in an entity unique constraint.

object
Id

Field identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Key

Field key.

string
nullable
DisplayName

User-facing field name.

string
nullable
RowVersion

Concurrency token.

string format: uuid
ArchiveScope
required
integer format: int32
Allowed values: 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ArchiveScope": 1
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Unique constraint configured for one entity definition table.

object
Id

Constraint identifier.

string
nullable
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Fields

Ordered participating fields.

Array<object>
nullable

Field entry participating in an entity unique constraint.

object
Id

Field identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Key

Field key.

string
nullable
DisplayName

User-facing field name.

string
nullable
RowVersion

Concurrency token.

string format: uuid
ArchiveScope
required
integer format: int32
Allowed values: 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ArchiveScope": 1
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Unique constraint configured for one entity definition table.

object
Id

Constraint identifier.

string
nullable
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Fields

Ordered participating fields.

Array<object>
nullable

Field entry participating in an entity unique constraint.

object
Id

Field identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Key

Field key.

string
nullable
DisplayName

User-facing field name.

string
nullable
RowVersion

Concurrency token.

string format: uuid
ArchiveScope
required
integer format: int32
Allowed values: 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ArchiveScope": 1
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Conflict

Media typeapplication/json
object
Data

Unique constraint configured for one entity definition table.

object
Id

Constraint identifier.

string
nullable
EntityDefinitionId

Entity definition identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Fields

Ordered participating fields.

Array<object>
nullable

Field entry participating in an entity unique constraint.

object
Id

Field identifier.

string
nullable
EntityDefinitionTableId

Owning table identifier.

string
nullable
Key

Field key.

string
nullable
DisplayName

User-facing field name.

string
nullable
RowVersion

Concurrency token.

string format: uuid
ArchiveScope
required
integer format: int32
Allowed values: 1 2
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Data": {
"ArchiveScope": 1
},
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}